import IconFont from "../../../../iconfont/index.js";
import React from "react";
import { Button } from "antd";
import "./index.less";
//#region src/components/productCard/components/Header/DeleteButton/index.tsx
const prefix = "pisell-lowcode-";
const DeleteButton = ({ onDelete, type }) => {
	return /* @__PURE__ */ React.createElement("div", {
		className: `${prefix}product-delete`,
		onClick: (e) => {
			e.stopPropagation();
			onDelete();
		}
	}, /* @__PURE__ */ React.createElement(Button, {
		type: "text",
		icon: /* @__PURE__ */ React.createElement(IconFont, { type: type || "pisell2-trash-01" })
	}));
};
//#endregion
export { DeleteButton as default };
